package com.dskj.znzn.transData.web.dataTransfer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dskj.znzn.transData.web.dataTransfer.entity.DataTransfer;
import com.dskj.znzn.transData.web.dataTransfer.outData.ClassificationImportDataDetailsQuery;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 数据操作  Mapper 接口
 * </p>
 *
 * @author 魏志亮
 * @since 2025-01-09
 */
@Mapper
public interface DataTransferMapper extends BaseMapper<DataTransfer> {

    List<ClassificationImportDataDetailsQuery> classificationImportDataDetails();

    @MapKey("wind_turbine_number")
    List<Map<String, Object>> getWindTurbineAndTimestamps(String tableName, String windTurbineNumber, List<String> timestamps, String partition);
}
